
Name:		jake2
Version:	0.9.5
Release:	%mkrel 1
License:	 GPL2
Packager:   Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Games/Arcade
URL:		http://bytonic.de/html/jake2.html
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	 pure Java port of the Quake2 game engine
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description
Jake2 is a Java 3D Quake2 game engine. It is a port of the GPL’d Quake2 game engine from id Software.
To use the Jake2 engine you need either the baseq2 folder from the original game or download the 
shareware version from ID software. 

Note that pak0.pak must be in lower case, or else, the game will not work.

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./Jake2.sh 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# dedicated server launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name}_dedicated << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./Jake2_dedicated.sh 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}_dedicated

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Jake2
GenericName= Java Quake 2 engine
Comment=%{summary}
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


%files
%defattr(-,root,root)
%_bindir/%{name}
%_bindir/%{name}_dedicated
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Jun 02 2015  Agent Smith <ruidobranco@yahoo.com.br> jake2-0.9.5-1pclos2015.rpm
- Created the package jake2, with the latest sources, from the creator's site.
